Bug 858033 - Hanging issues when enforcing locking
Hanging issues when enforcing locking
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnome-screensaver (Show other bugs)
6.3
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
:
Depends On:
Blocks: 670971
  Show dependency treegraph
 
Reported: 2012-09-17 16:21 EDT by Matthew Mosesohn
Modified: 2017-09-14 07:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Mosesohn 2012-09-17 16:21:43 EDT
Description of problem:
If you enforce certain policies to make gnome-screensaver lock after 10 minutes, the system hangs for several seconds while locking. 


Version-Release number of selected component (if applicable):
gnome-screensaver-2.28.3-18.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run these commands to enforce:
  #Add rule that screensaver must activate when system is considered idle
  gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.mandatory --type boolean --set /apps/gnome-screensaver/idle_activation_enabled "true"
  #Add rule that screensaver must lock screen when enabled
  gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.mandatory --type boolean --set /apps/gnome-screensaver/lock_enabled "true"
  #Add rule for 10 minute screensaver
  gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.mandatory --type int --set /apps/gnome-screensaver/idle_delay "10"
  gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.mandatory --type int --set /desktop/gnome/session/idle_delay "10"
  #Ensure no delay after screensaver before lock
  gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.mandatory --type int --set /apps/gnome-screensaver/lock_delay "0"
2. Log in
3. Wait 10 minutes for screensaver to engage
  
Actual results:
There is a significant period of time (3-5 seconds) where you can't input.

Expected results:
Immediate ability to unlock


Additional info:
If you set lock_delay to 1, the behavior is exacerbated.  You have to wait for screen to darken and then still another 10 seconds before the screensaver disables (no prompt though).

What is desired is the ability to prevent screensaver during the period where the screend darkens (first 5 seconds) and not enter a password, and not be hung up waiting.
Comment 2 RHEL Product and Program Management 2012-12-14 03:07:06 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.